{
  lib,
  pkgs,
  config,
  ...
}:

{
  # take overlays from flake
  nixpkgs.overlays = lib.attrValues config.inputInjection.flake-inputs.self.overlays;
  # List packages installed in system profile.
  environment.systemPackages =
    with pkgs;
    [
      wget
      vim
      vimPlugins.vim-nix
      vimPlugins.pathogen
      tmux
      htop
      zsh
      btrfs-progs
      git
      python3
      man-pages
      dnsutils
      netcat-openbsd
      ntfs3g
      file
      multipath-tools
      strace
      ltrace
      valgrind
      testdisk
      rsync
      pv
      exfat
      iotop
      cifs-utils
      dstat
      lsof
      macchanger
      borgbackup

      # for debugging WLAN failures:
      ethtool
      trace-cmd

      # NetworkManager stuff
      networkmanager-openconnect
      networkmanager-vpnc
      networkmanager-openvpn
      plasma5Packages.kdeGear.akonadi-mime # for KOrganizer
    ]
    ++ (
      with plasma5Packages;
      with kdeGear;
      [
        #akonadi
        #akonadi-calendar
        #akonadi-contacts
        #akonadi-import-wizard
        #akonadi-mime
        #akonadi-notes
        #akonadi-search
        #akonadiconsole
        #akregator
        #kaddressbook
        #kalarm
        #kalarmcal
        #kcalutils
        #kcontacts
        #kdav
        #kdepim-addons

        #kdepim-runtime
        #kidentitymanagement
        #kldap
        #kmail
        #kmailtransport
        #kmbox
        #kmime
        #kontact
        #kontactinterface
        #korganizer
        #kpimtextedit
        #libkdepim
        #libksieve
        #mailcommon
        #messagelib
        #pimcommon
        #pim-sieve-editor

        # for some Flatpak packkages
        accountsservice
      ]
    );
}
