{
  pkgs,
  inputs,
  config,
  system,
  lib,
  ...
}:
with pkgs;
let
  latexGuiTools = [
    texmaker
    kile
    biber
  ];
in
{
  options.schmittlauch.latex.guiTools = lib.mkEnableOption "Install GUI LaTeX tools like editors";

  config.home.packages = [
    (texlive.combine {
      inherit (texlive)
        scheme-medium

        xetex
        luatex
        unicode-math
        fontspec
        collection-binextra
        collection-fontsrecommended
        collection-latex
        collection-latexextra
        collection-latexrecommended
        collection-langgerman
        moderncv
        fontawesome5
        academicons
        acronym
        ccicons
        fontawesome
        biblatex
        logreq
        koma-script
        ;
    })
  ] ++ lib.optionals config.schmittlauch.latex.guiTools latexGuiTools;
}
