{
  config,
  lib,
  pkgs,
  ...
}:
{
  imports = [
    ../../common

    ./hardware-configuration.nix
    ./storage.nix
    ./swap.nix
    # FIXME: move this to common, conditional enabling
    ./secureboot.nix
  ];

  hardware.trackpoint = {
    enable = true;
    sensitivity = 180;
    speed = 180;
  };

  networking.hostName = "thinknix";

  # This value determines the NixOS release with which your system is to be
  # compatible, in order to avoid breaking some software such as database
  # servers. You should change this only after NixOS release notes say you
  # should.
  system.stateVersion = "18.09"; # Did you read the comment?
}
